Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1255 (closed defect: duplicate)

Opened 15 years ago

Last modified 14 years ago

ABiT AirPace doesn't work

Reported by: anonymous Assigned to:
Priority: major Milestone:
Component: madwifi: HAL Version: trunk
Keywords: Cc:
Patch is attached: 0 Pending:

Description

The Abit Airpace (AR5006EG based) PCIe network card doesn't work, though it should be supported. Affected are all branches of madwifi.

Vendor ID= Atheros / Device ID= 001c SubVendor? ID= Abit / SubDevice? ID=1033

It is not possible to use the debranding app from ticket 1206.

This is the only PCIe Wlan desktop card i am aware of.

I used an "generic" xp64 driver for the AR5006eg chipset with NDISwrapper, and this didn't yield success either.

Change History

04/10/07 11:47:43 changed by mrenzmann

Can you please elaborate a bit more on "doesn't work"? What steps did you take to make the card work, what did you expect to happen and what happened instead? Please include error messages and other stuff that is needed to trace the problem.

04/10/07 23:43:42 changed by mentor

  • priority changed from blocker to major.

04/10/07 23:44:55 changed by mentor

  • owner changed.
  • component changed from madwifi: other to madwifi: HAL.

One presumes that you mean that the MadWiFi driver does not detect the card as one it supports...

04/15/07 13:36:41 changed by xnowfall

i also have an abit airpace pcie card. here's what i get with madwifi-ng built from svn on april 15.

lspci -v :

03:00.0 Ethernet controller: Atheros Communications, Inc. Unknown device 001c (rev 01)
        Subsystem: ABIT Computer Corp. Unknown device 1033
        Flags: fast devsel, IRQ 11
        Memory at fddf0000 (64-bit, non-prefetchable) [size=64K]
        Capabilities: [40] Power Management version 2
        Capabilities: [50] Message Signalled Interrupts: 64bit- Queue=0/0 Enable-
        Capabilities: [60] Express Legacy Endpoint IRQ 0
        Capabilities: [90] MSI-X: Enable- Mask- TabSize=1
        Capabilities: [100] Advanced Error Reporting
        Capabilities: [140] Virtual Channel

modprobe ath_pci :

Apr 15 12:18:00 [kernel] ath_hal: 0.9.18.0 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)
Apr 15 12:18:00 [kernel] wlan: 0.8.4.2 (0.9.4)
Apr 15 12:18:00 [kernel] ath_pci: 0.9.4.5 (0.9.4)
Apr 15 12:18:00 [kernel] ACPI: PCI Interrupt 0000:03:00.0[A] -> Link [LNK5] -> GSI 11 (level, low) -> IRQ 11
Apr 15 12:18:00 [kernel] PCI: Setting latency timer of device 0000:03:00.0 to 64
Apr 15 12:18:00 [kernel] wifi%d: unable to attach hardware: 'Hardware didn't respond as expected' (HAL status 3)

(follow-up: ↓ 18 ) 04/15/07 19:07:04 changed by anonymous

I see this also. The device ID (0x001c) seems to be supported in other incarnations (MacBooks, for example) according to the madwifi site, and the ID shows up in the HAL IDs file in the source (as "Condor"?), but you get a HAL 13 on module load.

The HAL 3 is a result of only unloading the ath_pci module, and failing to also unload the wifi and ath_hal modules. The real issue is the HAL 13. I've seen reports of this occuring in laptops when there is a wifi on/off switch, but that doesn't seem to be the issue here with the desktop PCIe card.

05/12/07 19:44:15 changed by xnowfall

anything i can do to help get this fixed? further info i could give, code i could test, even code i could write if someone has some tips on where i should look?

05/13/07 09:23:32 changed by mrenzmann

The ticket was started for the madwifi-hal-0.9.30.10 branch, which has been obsoleted by the madwifi-hal-0.9.30.13 branch. HAL 0.9.30.13 is known to fix some issues that could be found in HAL 0.9.30.10, so it would be a good idea to test if the issue described in this ticket eventually is gone there.

05/15/07 22:36:25 changed by xnowfall

i tried svn.madwifi.org/branches/madwifi-hal-0.9.30.13/ but i got the same error

May 15 21:23:01 [kernel] ath_hal: 0.9.30.13 (AR5210, AR5211, AR5212, AR5416, RF5111, RF5112, RF2413, RF5413, RF2133)
May 15 21:23:01 [kernel] wlan: 0.8.4.2 (0.9.4)
May 15 21:23:01 [kernel] ath_pci: 0.9.4.5 (0.9.4)
May 15 21:23:01 [kernel] PCI: Enabling device 0000:03:00.0 (0000 -> 0002)
May 15 21:23:01 [kernel] ACPI: PCI Interrupt 0000:03:00.0[A] -> Link [LNK5] -> GSI 11 (level, low) -> IRQ 11
May 15 21:23:01 [kernel] PCI: Setting latency timer of device 0000:03:00.0 to 64
May 15 21:23:01 [kernel] wifi%d: unable to attach hardware: 'Hardware didn't respond as expected' (HAL status 3)

05/21/07 20:53:30 changed by mentor

  • version changed from madwifi-hal-0.9.30.10 branch to trunk.

Retargetting

05/26/07 00:05:35 changed by xnowfall

from trials and searches on the web i'm assuming a new hal version will be required to support the airpace. as a newcomer to madwifi, what is the release frequency on hal updates/when might one expect the airpace to be supported? it is relatively new on the market now, but would you guess one month, six, next year, never...? not looking for any promises, just a guess from somebody more familiar with the project and its schedule than me..

08/24/07 23:05:30 changed by jonnymoblin@yahoo.co.uk

This problem is still in the latest madwifi. Some updates would be nice...

(follow-up: ↓ 13 ) 11/26/07 22:49:09 changed by anonymous

Is it still broken?

(in reply to: ↑ 12 ) 11/29/07 11:06:08 changed by admin@webforumz.com

Replying to anonymous:

Is it still broken?

I managed to get the airpace working with ubuntu, but had to jump through several hoops.

Here is what i did:

1. you need to use the windows 32bit driver... you should have 3 files named net2425.inf, net2425.cat and aw5006.sys - make sure these are placed somewhere you can get to them from linux

2. Make sure ndiswrapper is installed (I am using version 1.9)

3. in a terminal, run: sudo depmod -a

4. unload ndiswrapper (in case it's loaded) - in a terminal: sudo modprobe -r ndiswrapper

5. You need to blacklist ath_pci...edit the /etc/modprobe.d/blacklist file (you may need to alter file permissions to do that) - to the end, add this and save the file: blacklist ath_pci

6. find ath_pci.ko in the file system, and rename it (to be sure... lol) -you may need to alter file permissions or use sudo to rename it

7. make sure ndiswrapper has no wifi drivers... in a terminal, run: ndiswrapper -l to make sure. If it has drivers listed, then run: sudo ndiswrapper -r drivername

8. lets install the driver: in a terminal change directory to where the windows drivers are located. Next, run this command: sudo ndiswrapper -i net2425.inf

9. now, load the ndiswrapper module. In a terminal:- modprobe ndiswrapper

and thats it.... should all work.

BTW: I am a linux (very) newbie and found most of this out via google and a lot of patience. If anyone wants help they can add me to msn and I will try to help: aspwiz[at]hotmail[dot]com)

Good luck :)

(follow-up: ↓ 16 ) 12/02/07 17:49:55 changed by ilj

Okay folks here's one more success story (after almost 2 days long fight and source code patching, compiling and recompiling).

I have got a Samsung R-20 (X-002 model) notebook with the following wifi device in it:


% lspci -n
05:00.0 0200: 168c:001c (rev 01)
% lspci -d 168c:001c
05:00.0 Ethernet controller: Atheros Communications, Inc. AR5006EG 802.11 b/g Wireless PCI Express Adapter (rev 01)


I tried current stable madwifi version (0.9.3.3 at the moment of writing this message, also 0.9.3.2, various svn-snapshots and patch mentioned here: madwifi.org/ticket/1679 ). No luck. I just failed to get wlan0 in iwconfig output after loading ath_pci module (and the rest of the necessary kernel modules).

Big thanks to sec_ from #madwifi@irc.freenode.net for suggesting me to try out ndiswrapper project. Also big thanks to everyone on that IRC channel for supporting me and answering my questions.

I installed the recent 1.50 stable version of ndiswrapper and got the driver listed on the ndiswrapper wiki List section's page for my device.

So, what I did was:


- downloaded driver package for my device
- built ndiswrapper from sources
- % ndiswrapper -i /path/to/driver.inf
- % ndiswrapper -l to see if everything's alright
- % depmod -a to see if there are no errors
- % modprobe ndiswrapper loading ndiswrapper kernel module
- % lsmod to see if it loaded or not
- % iwconfig to see if driver works (you must have wlan0 section describing your device's settings)


This is it. And yes, that simple. Hopefully this will be of use and will save you time.

12/02/07 17:51:01 changed by ilj

hopefully, one day I'll switch to madwifi
but for now ndiswrapper is what I have to use.

(in reply to: ↑ 14 ) 01/16/08 19:49:42 changed by anonymous

Replying to ilj:

I tried current stable madwifi version (0.9.3.3 at the moment of writing this message, also 0.9.3.2, various svn-snapshots and patch mentioned here: madwifi.org/ticket/1679 ). No luck. I just failed to get wlan0 in iwconfig output after loading ath_pci module (and the rest of the necessary kernel modules).

I downloaded and install from the patched snapshot in ticket 1679 and it worked for my AirPace? PCIe. I verified the pci id matches as listed in that ticket. I did have to reboot, as the module wouldn't load after rmmod ath_pci and ath_hal

Linux mythtv2 2.6.22-14-generic #1 SMP Sun Oct 14 23:05:12 GMT 2007 i686 GNU/Linux

Jan 16 12:26:03 mythtv2 kernel: [   21.400000] ath_hal: 0.10.2.2-ATHEROS (AR5210, AR5211, AR5212, AR5416, RF5111, RF5112, RF2413, RF5413, RF2133, RF2425)
Jan 16 12:26:03 mythtv2 kernel: [   21.444000] wlan: 0.8.4.2 (svn r2756)
Jan 16 12:26:03 mythtv2 kernel: [   21.464000] ath_pci: 0.9.4.5 (svn r2756)
Jan 16 12:26:03 mythtv2 kernel: [   21.964000] ath_pci: switching rfkill capability off
Jan 16 12:26:03 mythtv2 kernel: [   22.052000] ath_rate_sample: 1.2 (svn r2756)
Jan 16 12:26:03 mythtv2 kernel: [   22.052000] ath_pci: switching per-packet transmit power control off
Jan 16 12:26:03 mythtv2 kernel: [   22.052000] wifi0: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps
Jan 16 12:26:03 mythtv2 kernel: [   22.052000] wifi0: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
Jan 16 12:26:03 mythtv2 kernel: [   22.052000] wifi0: H/W encryption support: WEP AES AES_CCM TKIP
Jan 16 12:26:03 mythtv2 kernel: [   22.052000] wifi0: mac 14.2 phy 7.0 radio 10.2
Jan 16 12:26:03 mythtv2 kernel: [   22.052000] wifi0: Use hw queue 1 for WME_AC_BE traffic
Jan 16 12:26:03 mythtv2 kernel: [   22.052000] wifi0: Use hw queue 0 for WME_AC_BK traffic
Jan 16 12:26:03 mythtv2 kernel: [   22.052000] wifi0: Use hw queue 2 for WME_AC_VI traffic
Jan 16 12:26:03 mythtv2 kernel: [   22.052000] wifi0: Use hw queue 3 for WME_AC_VO traffic
Jan 16 12:26:03 mythtv2 kernel: [   22.052000] wifi0: Use hw queue 8 for CAB traffic
Jan 16 12:26:03 mythtv2 kernel: [   22.052000] wifi0: Use hw queue 9 for beacons
Jan 16 12:26:03 mythtv2 kernel: [   22.068000] wifi0: Atheros 5424/2424: mem=0xfdef0000, irq=20

(follow-up: ↓ 19 ) 04/17/08 03:44:47 changed by junner518

Is there any updates on this ticket? I read earlier that in order for this card to work the HAL had to be updated. Has that happened? Will that happen?

(in reply to: ↑ 5 ) 04/17/08 06:17:14 changed by mrenzmann

Replying to anonymous:

I see this also. The device ID (0x001c) seems to be supported in other incarnations (MacBooks, for example) according to the madwifi site, and the ID shows up in the HAL IDs file in the source (as "Condor"?), but you get a HAL 13 on module load.

Explanation: this is caused because vendors began to use the same PCI ID for AR5006 and AR5007 based cards. This leads to situations where lspci reports a card to be based on AR5006, even if it has AR5007 on-board. See also #1192.

(in reply to: ↑ 17 ) 04/17/08 06:18:07 changed by mrenzmann

  • status changed from new to closed.
  • resolution set to duplicate.

Replying to junner518:

I read earlier that in order for this card to work the HAL had to be updated. Has that happened? Will that happen?

See #1679.